#include "reaction_member.h"
#include "../state/species.h"
#include "../reactions/reactions.h"

using namespace hierleap;

////////////////////////////////////////////////////////////////////////////
/////////////////////// REACTION MEMBER FUNCTIONS //////////////////////////


ReactionMember::ReactionMember(Species *species, unsigned int stoichiometry) :
	_stoichiometry(stoichiometry) {
	_uniqueId = species->getUniqueId();
	_type = species->getTypeId();
	_name = string(species->name());
	_parent = species->getParent();
	assert(_parent == NULL || !_parent->isReaction());
}