#ifndef REACTION_MEMBER_H_
#define REACTION_MEMBER_H_

#include "../state/species.h"

using namespace hierleap;

class ReactionMember : public Species {
public:
	ReactionMember(Species *species, unsigned int stoichiometry);

    unsigned int getStoichiometry() const {
        return _stoichiometry;
    }

protected:
	// has all of the members as a class Species also _stoichiometry
	const unsigned int _stoichiometry;
};


#endif /*REACTION_MEMBER_H_*/
