
#include "reaction_leaper.h"

#include "../utils/common.h"
#include "../reactions/reaction_permutation.h"

using namespace hierleap;

vector<unsigned int> & ReactionLeaper::multinomialSelect(vector<double> & unnormalizedProbs, int events){
	// NOTE first element of &_multiReturn[0] is address to internal int array
	_multiReturn.resize(unnormalizedProbs.size(), 0);
	multirnd(events, &unnormalizedProbs[0], unnormalizedProbs.size(), &_multiReturn[0]);
	return _multiReturn;
}