import sys
import os

if __name__=='__main__':
    fnames = sys.argv[1:]
    commonFnameRoot = os.path.commonprefix(fnames)
    
    print 'writing files: ' + str(fnames)
    fls = map(lambda n: file(n, 'r'), sys.argv[1:])

    def removeLastLine(fl):
        'removes the last line before re-writing the same file with .trunc appended, returns the list of strings written to file.'
        fout = file(fl.name+'.trunc','w')
        lns = fl.readlines()[:-1]
        fout.writelines(lns)
        fout.close()
        return lns

    allLns = reduce(list.__add__, map(removeLastLine, fls), [])
    collapsedFn = os.path.dirname(commonFnameRoot) + os.sep + 'all_collapsed.txt'
    fout = file(collapsedFn, 'w')
    fout.writelines(allLns)
    print 'Wrote collapsed files to ' + collapsedFn
    fout.close()
