/*
 * SSA.h
 *
 *  Created on: Sep 9, 2009
 *      Author: dweo
 */

#ifndef SSA_H_
#define SSA_H_

#include "../reactions/reaction.h"
#include "../reactions/reactions.h"
#include "../reactions/reaction_permutation.h"
#include "reaction_leaper.h"

using namespace hierleap;

class SSA : public ReactionLeaper {
public:
	SSA(){};

	// Use Gillespies SSA algorithm (reaction component) to choose L reaction
	//		events to fire. Return a reaction permutation of result.
	ReactionPermutation<Reaction*> *ReactionLeap(State *state, Reactions *root);


};

#endif /* SSA_H_ */
